package com.kmall.admin.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 实体
 * 表名 mall_freight
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-10-22 15:18:16
 */
public class FreightEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 模版名称
     */
    private String name;
    /**
     * 模版类型：0，买家承担运费；1，卖家包邮
     */
    private String templateType;
    /**
     * 计价方式：0，按件数；1，按重量；2，按体积
     */
    private String pricingManner;
    /**
     * 默认模版：0，否；1，是
     */
    private String isDefault;

    private BigDecimal defaultFreight;

    private Integer isDelete = 0;

    private Integer storeId;

    private String merchSn;

    private String storeName;
    private String merchName;

    private List<FreightItemEntity> freightItemEntityList;

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getMerchName() {
        return merchName;
    }

    public void setMerchName(String merchName) {
        this.merchName = merchName;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }
    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：模版名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取：模版名称
     */
    public String getName() {
        return name;
    }
    /**
     * 设置：模版类型：0，买家承担运费；1，卖家包邮
     */
    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    /**
     * 获取：模版类型：0，买家承担运费；1，卖家包邮
     */
    public String getTemplateType() {
        return templateType;
    }
    /**
     * 设置：计价方式：0，按件数；1，按重量；2，按体积
     */
    public void setPricingManner(String pricingManner) {
        this.pricingManner = pricingManner;
    }

    /**
     * 获取：计价方式：0，按件数；1，按重量；2，按体积
     */
    public String getPricingManner() {
        return pricingManner;
    }
    /**
     * 设置：默认模版：0，否；1，是
     */
    public void setIsDefault(String isDefault) {
        this.isDefault = isDefault;
    }

    /**
     * 获取：默认模版：0，否；1，是
     */
    public String getIsDefault() {
        return isDefault;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public BigDecimal getDefaultFreight() {
        return defaultFreight;
    }

    public void setDefaultFreight(BigDecimal defaultFreight) {
        this.defaultFreight = defaultFreight;
    }

    public List<FreightItemEntity> getFreightItemEntityList() {
        return freightItemEntityList;
    }

    public void setFreightItemEntityList(List<FreightItemEntity> freightItemEntityList) {
        this.freightItemEntityList = freightItemEntityList;
    }
}
